Bug 2008823 - OCP 4.8 BM IPI (ipv6 only) install fails with no ip assigned to bootstrap machine if there's no DHCP6 pool configured
Summary: OCP 4.8 BM IPI (ipv6 only) install fails with no ip assigned to bootstrap mac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.8.z
Assignee: Steven Hardy
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On: 1972524
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-29 09:25 UTC by Abhijeet Sadawarte
Modified: 2021-11-02 06:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-27 08:15:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5250 0 None Merged Bug 2008823: baremetal: Ensure ipv6 bootstrap VM client-id is predictable 2021-10-06 09:50:37 UTC
Red Hat Knowledge Base (Solution) 6426941 0 None None None 2021-10-15 09:20:39 UTC
Red Hat Product Errata RHBA-2021:3927 0 None None None 2021-10-27 08:15:49 UTC

Description Abhijeet Sadawarte 2021-09-29 09:25:33 UTC
$ openshift-install version
4.8.9

Platform: BM IPI 

What happened?
If there's no DHCP6 pool configured for cluster machines, the bootstrap VM does not get the IPv6 IP address since the below two NM fields are not configured by default:

~~~
ipv6.dhcp-duid:                         
ipv6.dhcp-iaid: 
~~~

Anything else we need to know?

It appears that the bootstrap vm fix is landed in OCP 4.9:

~~~
https://github.com/openshift/machine-config-operator/blob/master/templates/common/on-prem/files/NetworkManager-onprem.conf.yaml#L9..L10

https://github.com/openshift/installer/blob/master/data/data/bootstrap/baremetal/files/etc/NetworkManager/conf.d/99-baremetal.conf
~~~

Comment 1 Steven Hardy 2021-09-29 09:57:31 UTC
This was fixed via https://github.com/openshift/installer/pull/5110 - I'll backport it since it's only fixed since 4.9

Comment 14 errata-xmlrpc 2021-10-27 08:15:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.17 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3927


Note You need to log in before you can comment on or make changes to this bug.